# Configuration for dynamic threshold adjustment based on CPU utilization.

threshold_ranges:
  - cpu_utilization_range: [0, 50]
    scaling_factor: 0.10  # Increase threshold by 10%
  - cpu_utilization_range: [50, 80]
    scaling_factor: 0.00  # No change
  - cpu_utilization_range: [80, 100]
    scaling_factor: -0.05 # Decrease threshold by 5%

minimum_threshold: 10  # Minimum allowed threshold value
maximum_threshold: 90  # Maximum allowed threshold value

refresh_interval: 60 # Reload configuration every 60 seconds
